You are not logged in.

#26 2009-06-07 01:24:59

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: ObTheme: a GUI theme editor for Openbox

mehall, see the first post here for dependencies.

Offline

#27 2009-06-07 01:27:54

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

mehall wrote:

Hi there, would love to try it out, but I don't know what packages to install.

The issue is that I'm using Openbox with Ubuntu (my Arch box is headless wink)

So, yeah, if I can get it working, i'll be posting it on the Crunchbang Linux Forums, as they'll love it. [=

Download the latest obtheme sources here.

ObTheme depends on gtk2, pygtk, python and python-fuse. I don't use Ubuntu so I don't know which packages you need exactly but those must be available.

*does a quick search*
pygtk seems to be in "python-gtk2" and python-fuse is in "python-fuse" wink

All you need to do to run ObTheme is unpack the source archive, make "obtheme" executable and then execute "./obtheme".

Offline

#28 2009-06-07 22:29:21

mehall
Member
Registered: 2009-04-01
Posts: 27
Website

Re: ObTheme: a GUI theme editor for Openbox

mehall@crunchbang-laptop:~/downloads/obtheme$ ./obtheme 

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",

(obtheme:5546): Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap",
Traceback (most recent call last):
  File "./obtheme", line 3208, in <module>
    obt = ObTheme()
  File "./obtheme", line 2297, in __init__
    self.openbox_config_path = os.getenv('XDG_CONFIG_HOME')+'/openbox/rc.xml'
TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
mehall@crunchbang-laptop:~/downloads/obtheme$

That's what happens ^

Offline

#29 2009-06-08 06:12:38

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

@mehall
Try the latest version (>=0.5.4). The 'XDG_CONFIG_HOME' error should be fixed (I don't know why some Openbox systems don't have that variable set).

The Gtk warnings have nothing to do with ObTheme. I think you're missing the proper theme engines. You can find the engine packages with this command:

pacman -Ssq gtk | grep engine

Offline

#30 2009-09-21 00:50:08

neodarkness
Member
Registered: 2009-09-13
Posts: 31

Re: ObTheme: a GUI theme editor for Openbox

Hey!
Obtheme looks nice so i'd like to try it, but i'm getting this:

$ obtheme
Traceback (most recent call last):
  File "/usr/bin/obtheme", line 32, in <module>
    import fuse
  File "/usr/lib/python2.6/site-packages/fuse.py", line 27, in <module>
    from fuseparts._fuse import main, FuseGetContext, FuseInvalidate
ImportError: /usr/lib/python2.6/site-packages/fuseparts/_fusemodule.so: symbol fuse_get_context, version FUSE_2.2 not defined in file libfuse.so.2 with link time reference



Any ideas? I got no idea of what that means xD

Offline

#31 2009-09-21 01:32:27

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

The python-fuse package needs to be rebuilt against the latest fuse package. Just grab the PKGBUILD and run "makepkg -irs" on it and everything should work. The package will probably get updated soon.

Offline

#32 2009-12-13 19:56:51

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

moved to [community]

Offline

#33 2010-01-10 14:13:55

weakhead
Member
From: Poland
Registered: 2008-08-21
Posts: 341
Website

Re: ObTheme: a GUI theme editor for Openbox

I hope that this is the right place to inform about bugs.

Texture, border - flat
I doesn't work at all. Some themes (like Bear2, mint) use this and when I try to change color for example, borders got removed (so it works like "none"). It's mostly visible when trying to change inner border of titlbebar.

1. Obtheme seems to display titlebar properties fine.
2evd7uw_th.jpg

2. Trying to change border color...
2jcsg88_th.jpg

3. And now, the border is gone (even though I hadn't disabled it!).
1zy8wf5_th.jpg


Also, Clearlooks theme fo some reason fails to load properly in Obtheme:
334ulpy_th.jpg

Last edited by weakhead (2010-01-10 14:45:54)

Offline

#34 2010-01-10 21:08:50

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

Hi weakhead,

Yeah, this is the right place. I'll take a look at those errors right now and see what I can do.

Offline

#35 2010-01-10 21:59:40

lswest
Member
From: Munich, Germany
Registered: 2008-06-14
Posts: 454
Website

Re: ObTheme: a GUI theme editor for Openbox

Wow Xyne, you're busy these days, aren't you? tongue  The only tool I want to see now before I've found/gotten everything I wasn't quite happy with yet would be a GUI-based GTK2 theme generator (I can never get themes to look nice when using the config files).  Definitely a useful program, I'm installing it now!

Thanks for all the great work you do,
Lswest


Lswest <- the first letter of my username is a lowercase "L".
"...the Linux philosophy is "laugh in the face of danger". Oops. Wrong one. "Do it yourself". That's it." - Linus Torvalds

Offline

#36 2010-01-10 23:39:12

Xyne
Moderator/TU
Registered: 2008-08-03
Posts: 5,728
Website

Re: ObTheme: a GUI theme editor for Openbox

*edit*
Ok, both issues should now be resolved. The former only required the inclusion of the word "Border" after "Flat". The latter, however, was due to theme element globbing, which took me a while to find.

You can grab the latest version from the repo on my site, or just wait for your local mirror to sync [community].

Last edited by Xyne (2010-01-11 01:39:38)

Offline

#37 2010-01-11 13:36:57

weakhead
Member
From: Poland
Registered: 2008-08-21
Posts: 341
Website

Re: ObTheme: a GUI theme editor for Openbox

@Xyne
Works great now, thanks (obtheme 0.6-1)!

Offline

Board footer

Powered by FluxBB